mir (2.28.0-2build1) stonking; urgency=medium

  * Rebuild against new libyaml-cpp0.9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2026 19:10:35 +0200

mir (2.28.0-2) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 20 Jun 2026 11:07:36 +0200

mir (2.28.0-1) experimental; urgency=medium

  * New upstream release.
    - mircommon ABI bumped to 12
    - miroil ABI bumped to 9
    - mirserver ABI bumped to 67
    - mirwayland ABI bumped to 6
  * Rename packages for ABI bumps.
  * Drop reverse-applicable patches:
    - 1005_typo-fixes.patch
    - 1007_evdev-only-remove-FDs-from-FdStore-if-the-path-is-gone.patch
  * Drop libmircommon-internal-dev, it is no longer shipped.
  * Depend on pkg-config -> pkgconf for the autopkgtest.
  * Update the copyright file.
    - Update auto-generated copyright.in file.
    - Update copyright attributions for debian/.
  * Update Lintian overrides.
  * Refresh the upstream signing key.
  * Upgrade the watch file to version 5.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 17 Jun 2026 08:09:42 -0500

mir (2.25.2-6) unstable; urgency=medium

  * debian/control:
    + Mark mir-wlcs-integration as 'Multi-Arch: same'. Thanks, Multiarch Hinter.
  * debian/patches:
    + Add 0001_miral-basic-window-manager-only-constrain-resize-of-a-window-if-
      needed.patch. Fix window positioning in Lomiri. Let windows be positioned
      on-screen always, not partially off-screen.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Jun 2026 13:02:38 +0200

mir (2.25.2-5) unstable; urgency=medium

  * debian/control:
    + Add more B:/R: relations to fix the upgrade path from MIr 2.20.2-2
      (trixie) to Mir >= 2.25.2-1 (forky). (Closes: #1133997).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Apr 2026 11:49:27 +0200

mir (2.25.2-4) unstable; urgency=medium

  * debian/patches/:
    + Add 1007_evdev-only-remove-FDs-from-FdStore-if-the-path-is-gone.patch.
      Fix tablet/notebook mode transition on convertible devices.
  * debian/control:
    + Bump Standards-Version: to 4.7.4. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Apr 2026 21:11:38 +0200

mir (2.25.2-3) unstable; urgency=medium

  * debian/control:
    + Add D: (mir-wlcs-integration): mir-platform-rendering-egl-generic.
      Fixes timeouts in autopkgtests. (Closes: #1129737).
    + Replace B-D on dbus by 'default-dbus-system-bus | dbus-system-bus'.
      (Closes: #1122676).
  * debian/{control,patches/1006_libxml++5.patch}:
    + Build against libxml++-5. Thanks to Sébastien Noel for providing the
      patch. (Closes: #1121322).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 19 Mar 2026 22:44:40 +0100

mir (2.25.2-2) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 01 Mar 2026 09:12:43 +0100

mir (2.25.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/:
    + SOVERSION major bump.
  * debian/patches/:
    + Rebase patches 1003, 2003 and 2005.
    + Add 1005_typo-fixes.patch. Fix typo in TEST names.
    + Drop 1004_fix-autopkgtest.patch. Applied upstream.
    + Forward upstream: 1003_cross.patch and 1005_typo-fixes.patch.
  * debian/control:
    + Apply wrap-and-sort -t -n -a.
    + Drop Pre-Depends: fields.
    + Drop Priority: optional.
    + Update B-Ds for v2.25.2.
    + Bump Standards-Version: to 4.7.3.
    + Adjust dev:pkgs to new version.
    + Drop libboost-system-dev. (Closes: #1127238).
  * debian/rules:
    + Adopt from upstream's DEB packaging Git.
    + Fix setting of XDG_RUNTIME_DIR in ptest environment.
    + Fail build on test failure.
    + Set DPKG_EXPORT_BUILDFLAGS to 1.
  * debian/*.install:
    + Adjust (and wrap-and-sort) to new version.
  * debian/{control,rules}:
    + Drop pkg-kde-tools. Stop maintaining .symbols files with pkgkde-symbols-
      helper.
  * debian/source/lintian-overrides:
    + Fix line number in file.
    + Drop reference to file not in upstream source tree anymore.
  * debian/tests/control:
    + Apply wrap-and-sort.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 28 Feb 2026 23:49:27 +0100

mir (2.20.2-2) unstable; urgency=medium

  * debian/patches:
    + Trivially rebase patches 2003 and 2005.
    + Add 1004_fix-autopkgtest.patch. In tests/acceptance-tests/wayland/
      CMakeLists.txt: Reference expected_wlcs_failures.list with full-path
      relative to builddir, so that autopkgtest's cmake call succeeds in
      finding the file.
  * debian/tests/wlcs:
    + Typo fix in comment.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2025 11:41:40 +0200

mir (2.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/mir-wlcs-integration.install:
    + Add a new file to mir-wlcs-integration.
  * debian/source/lintian-overrides:
    + Adjust file-line in very-long-line-length-in-source-file override.
  * debian/man:
    + Drop mir-shell.1. No such script anymore in Mir.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 17 Apr 2025 15:44:03 +0200

mir (2.20.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1004_fix-lomiri-crash-on-app-close.patch. Patch rejected upstream.
      Different solution provided in qtmir (>= 0.8.0~git20250319.5ab362a-1).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Mar 2025 10:21:00 +0100

mir (2.20.0-4) unstable; urgency=medium

  * debian/patches:
    + Add 1004_fix-lomiri-crash-on-app-close.patch. Fix Lomiri session crash
      when closing apps.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 21:39:50 +0100

mir (2.20.0-3) unstable; urgency=medium

  * debian/libmiroil7.symbols.armhf:
    + Also drop armhf-specific libmiroil7 symbols. This fixes build failure on
      the armhf architecture.
  * debian/rules:
    + Remove build-generated version.h include files during dh_auto_clean.
      (Closes: #1049012).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 17:41:41 +0100

mir (2.20.0-2) unstable; urgency=medium

  * debian/rules:
    + Run dh_makeshlibs on libmiral7 with -V flag (as there is no .symbols file
      for it anymore).
  * debian/patches:
    + Add 2005_skip-check-miroil-symbols.patch. Skip check-miroil-symbols. Fix
      FTBFS after removal of debian/libmiroil7.symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 09:37:37 +0100

mir (2.20.0-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 15 Mar 2025 08:31:17 +0100

mir (2.20.0-1~exp2) experimental; urgency=medium

  * debian/control:
    + Add to D: (libmirplatform-dev): libgpm-dev.
  * debian/libmiroil7.symbols:
    + Drop file. Too hard to maintain cross-distro. Not worth the effort.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Mar 2025 08:53:24 +0100

mir (2.20.0-1~exp1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
    - Rename packages for ABI bumps as noted in the upstream changelog.
  * Update the upstream signing key.
  * Update Standards-Version to 4.7.2, no changes needed.
  * Remove the symbols files. While I would very much like to keep and
    maintain these long-term, these block current progress and the rest of the
    team does not wish to maintain them. Drop them for now, with the intention
    that they will be back, if I do future updates.
  * Use ${DEB_HOST_MULTIARCH} instead of usr/lib/* in debian/*.install.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 08:23:51 +0100

mir (2.19.3-2) experimental; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 21 Feb 2025 13:44:11 -0600

mir (2.19.3-1) experimental; urgency=medium

  * New upstream release:
    - Rename binary packages for ABI bumps:
      + libmirserver58t64 -> libmirserver62
      + libmirplatform26t64 -> libmirplatform30
      + libmircommon9t64 -> libmircommon11
      + mir-platform-graphics-x20 -> mir-platform-graphics-x22
      + mir-platform-graphics-gbm-kms20 -> mir-platform-graphics-gbm-kms22
      + mir-platform-graphics-eglstream-kms20 ->
        mir-platform-graphics-eglstream-kms22
      + mir-platform-graphics-wayland20 -> mir-platform-graphics-wayland22
      + mir-platform-rendering-egl-generic20 ->
        mir-platform-rendering-egl-generic22
      + mir-platform-input-evdev8 -> mir-platform-input-evdev10
      + libmiral5t64 -> libmiral7
      + libmiroil3t64 -> libmiroil5
      + libmirwayland4t64 -> libmirwayland5
    - Add several additional packages.
    - Refresh patches:
      + debian/patches/1003_cross.patch
      + debian/patches/2002_dont-dpkg-gensymbols-by-upstream.patch
      + debian/patches/2003_ignore-package-abi-test.patch
    - Remove patches (applied upstream):
      + debian/patches/0001_add-missing-header-for-count_if.patch
      + debian/patches/1002_arch-indep-only-install-target.patch
      + debian/patches/2001_time64.patch
    - Add a build dependency on libxcb-randr0-dev.
    - debian/mir-demos.install: refresh installed files.
  * Add symbols files for each library file based on upstream's.
  * Remove the mir-doc package, upstream replaced it with online
    documentation.
  * Remove dh_missing --fail-missing, it is redundant in recent debhelper.
  * Add symbols files for shared libraries and update from amd64 build logs.
  * Add debian/upstream/signing-key.asc from upstream's signing key.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 21 Feb 2025 02:51:41 -0600

mir (2.14.1-8) unstable; urgency=medium

  * debian/control:
    + Add B-D: libclang-dev.
  * debian/rules:
    + Set XDG_RUNTIME_DIR to /tmp during unit tests.
    + Set more compiler quirks on ppc64el and apply them when build with gcc-12,
      gcc-13 and gcc-14.
    + Set compiler quirks on riscv64 for gcc-12, gcc-13 and gcc-14.
    + Disable pre-compiled headers for gcc-12, gcc-13 and gcc-14.
    + Provide build home and rundir for unit tests.
    + Build on arm64, armhf and armel with -DMIR_LINK_TIME_OPTIMIZATION=ON.
    + Always disable LTO. (Closes: #1081267).
    + Move some code blocks further up to better match with upstream's d/rules
      file.
    + Build with -DMIR_RUN_ACCEPTANCE_TESTS=OFF on arm64 (cherry-picked from
      upstream).
    + Ignore test failures for now.
  * debian/patches:
    + Add 2003_ignore-package-abi-test.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Jan 2025 17:11:48 +0100

mir (2.14.1-7) unstable; urgency=medium

  * debian/patches:
    + Add 0001_add-missing-header-for-count_if.patch. Fix FTBFS against GCC-14.
      (Closes: #1075277).
  * debian/*.symbols:
    + Drop files. (Closes: #1015543).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 10:37:55 +0200

mir (2.14.1-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/:
    + Improve cross building: Use packages mir_wayland_generator during cross
      builds. (Closes: #1069578)
  * debian/control:
    + Fix noinsttest build profile: skip package mir-wlcs-integration.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Apr 2024 10:25:29 +0200

mir (2.14.1-5) unstable; urgency=medium

  [ Matthias Klose ]
  * debian/patches:
    + Add 2001_time64.patch. Fix FTBFS with time_t64. (Closes: #1064171).

  [ Mike Gabriel ]
  * debian/patches:
    + Trivially rebase 2002_dont-dpkg-gensymbols-by-upstream.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Mar 2024 07:29:01 +0100

mir (2.14.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064171

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 20:03:56 +0000

mir (2.14.1-4) unstable; urgency=medium

  * debian/control: Bump required wlcs version

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 10 Aug 2023 23:40:32 +0200

mir (2.14.1-3) unstable; urgency=medium

  * debian/tests: Add missing dummy function required with newer cmake

 -- Marius Gripsgard <mariogrip@debian.org>  Mon, 07 Aug 2023 02:58:35 +0200

mir (2.14.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Bump standard version

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 06 Aug 2023 20:05:14 +0200

mir (2.14.1-1) experimental; urgency=medium

  * New upstream release v2.14.1
  * debian/*: Bump libmirplatform abi/SONAME to 26
  * debian/symbols: Add new symbols from upstream release
  * debian/*: Add new package mir-platform-rendering-egl-generic to reflect
    upstream release
  * Revert "debian/watch: Pull releases out of the GitHub API endpoint."
    as upstream stopped shipping gpg signatures (or forgot to publish?)
  * debian/patches: Drop unused patch
  * debian/lintial-overrides: Drop unused override
  * debian/control: Add my new debian email
  * debian/control: Fixup lintian warnings
  * debian/copyright: refresh copyright to match upstream

 -- Marius Gripsgard <mariogrip@debian.org>  Sat, 29 Jul 2023 01:26:30 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmirwayland-bin`.
